# Class CIM_LabelReaderStatInfo
extends CIM_DeviceStatisticalInformation

Statistics for a LabelReader, related to read successes, failures and retries.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_DeviceStatisticalInformation
|
+--CIM_LabelReaderStatInfo

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistics for a LabelReader, related to read successes, failures and retries.
UMLPackagePath | string | CIM::Device::StorageLib
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ScanFailures | uint64 |
Counter | boolean | true
Description | string | The number of failed physical label scans.
ScanRetries | uint64 |
Counter | boolean | true
Description | string | The number of retried physical label scans.
ScanSuccesses | uint64 |
Counter | boolean | true
Description | string | The number of successful physical label scans.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_DeviceStatisticalInformation
Description | string | CIM_ManagedElement
DeviceCreationClassName | string | CIM_DeviceStatisticalInformation
DeviceID | string | CIM_DeviceStatisticalInformation
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_DeviceStatisticalInformation
SystemCreationClassName | string | CIM_DeviceStatisticalInformation
SystemName | string | CIM_DeviceStatisticalInformation

## Class Methods

### Local Class Methods

#### ResetCounter (uint32)

#### Method Qualifiers (ResetCounter)

Name | Data Type | Value
--- | --- | ---

Description

string

Method to reset the statistical counters. The method takes one parameter as input - an integer indicating which counter to reset. For this input parameter, 0 indicates all, 1 resets the "Scan Successes" counter, 2 resets the "Scan Failures" counter, and 3 resets the "Scan Retries" counter. The method returns 0 if successful, 1 if not supported, and any other value if an error occurred. A method is specified so that the Device's instrumentation can also reset its internal processing and counters. In a subclass, the set of possible return codes should be specified in a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' can be specified as a Values array qualifier.

#### Method Parameters (ResetCounter)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
SelectedCounter | uint16
Description | string | The counter to reset.
IN | boolean | true
ValueMap | string | 0, 1, 2, 3
Values | string | All, Scan Successes, Scan Failures, Scan Retries